.hidden-menu {
    display: block;
    position: fixed;
    list-style: none;
    padding: 10px;
    margin: 0;
    box-sizing: border-box;
    width: 200px;
    background-color: #eee;
    height: 100%;
    top: 0;
    left: -200px;
    transition: left .2s;
    z-index: 2;
    -webkit-transform: translateZ(0);
    -webkit-backface-visibility: hidden;
}

.hidden-menu-ticker {
    display: none;
}

.btn-menu {
    color: #6e95c8;
    padding: 5px;
    position: fixed;
    top: 5px;
    left: 5px;
    cursor: pointer;
    transition: left .23s;
    z-index: 3;
    width: 35px;
    height: 35px;
    -webkit-transform: translateZ(0);
    -webkit-backface-visibility: hidden;
}

.btn-menu span {
    display: block;
    height: 5px;
    background-color: #6e95c8;
    margin: 5px 0 0;
    transition: all .1s linear .23s;
    position: relative;
}

.btn-menu span.first {
    margin-top: 0;
}

.hidden-menu-ticker:checked ~ .btn-menu {
    left: 160px;
}

.hidden-menu-ticker:checked ~ .hidden-menu {
    left: 0;
}

.hidden-menu-ticker:checked ~ .btn-menu span.first {
    -webkit-transform: rotate(45deg);
    top: 10px;
}

.hidden-menu-ticker:checked ~ .btn-menu span.second {
    opacity: 0;
}

.hidden-menu-ticker:checked ~ .btn-menu span.third {
    -webkit-transform: rotate(-45deg);
    top: -10px;
}
